# The Parle\Token class

(PECL parle >= 0.5.2)

## Introduction

This class represents a token. Lexer returns instances of this class.

## Class synopsis

Parle\Token {
/* Constants */
const integer EOI = 0 ;
const integer UNKNOWN = -1 ;
const integer SKIP = -2 ;
/* Properties */
public integer $id ;
public string $value ;
/* Methods */
}

## Properties

id

  Token id.

value

  Token value.

## Predefined Constants

`Parle\Token::EOI`

  End of input token id.

`Parle\Token::UNKNOWN`

  Unknown token id.

`Parle\Token::SKIP`

  Skip token id.